Viewing 11 posts - 1 through 11 (of 11 total)
  • Author
    Posts
  • #1233202

    Can you help me? I’m trying to edit the pages of my site and the editor is gone, I get this long error:

    Warning: Illegal string offset ‘shortcodehandler’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 480

    Warning: Illegal string offset ‘modal_title’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 481

    Warning: Illegal string offset ‘modal_ajax_hook’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 482

    Warning: Illegal string offset ‘dragdrop-level’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 483

    Warning: Illegal string offset ‘allowed-shortcodes’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 484

    Warning: Invalid argument supplied for foreach() in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/generic-helper.class.php on line 320

    Warning: Illegal string offset ‘shortcodehandler’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 480

    Warning: Illegal string offset ‘modal_title’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 481

    Warning: Illegal string offset ‘modal_ajax_hook’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 482

    Warning: Illegal string offset ‘dragdrop-level’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 483

    Warning: Illegal string offset ‘allowed-shortcodes’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 484

    Warning: Illegal string offset ‘modal_on_load’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 495

    Warning: Invalid argument supplied for foreach() in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/generic-helper.class.php on line 320

    Warning: Illegal string offset ‘shortcodehandler’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 480

    Warning: Illegal string offset ‘modal_title’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 481

    Warning: Illegal string offset ‘modal_ajax_hook’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 482

    Warning: Illegal string offset ‘dragdrop-level’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 483

    Warning: Illegal string offset ‘allowed-shortcodes’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 484

    Warning: Illegal string offset ‘modal_on_load’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 495

    Warning: Invalid argument supplied for foreach() in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/generic-helper.class.php on line 320

    Warning: Illegal string offset ‘shortcodehandler’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 480

    Warning: Illegal string offset ‘modal_title’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 481

    Warning: Illegal string offset ‘modal_ajax_hook’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 482

    Warning: Illegal string offset ‘dragdrop-level’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 483

    Warning: Illegal string offset ‘allowed-shortcodes’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 484

    Warning: Illegal string offset ‘allowed-shortcodes’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 488

    Warning: Illegal string offset ‘allowed-shortcodes’ in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 489

    Fatal error: Uncaught Error: Cannot use string offset as an array in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php:489 Stack trace: #0 /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php(443): aviaShortcodeTemplate->create_sortable_editor_element(Array) #1 /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/template-builder.class.php(397): aviaShortcodeTemplate->prepare_editor_element() #2 /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-includes/class-wp-hook.php(287): AviaBuilder->js_template_editor_elements(”) #3 /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(”, Array) #4 /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-includes/plugin.php(478): WP_Hook->do_acti in /nfs/c02/h02/mnt/27502/domains/cermedellin.org/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/shortcode-template.class.php on line 489

    #1233278

    Hey clodgc,

    Can you tell us what PHP version you are using?

    Best regards,
    Nikko

    #1233605

    Hi Nikko,
    PHP Version 7.3.11 fastCGI (stable)

    Thanks!
    Clod

    #1233724

    Hi Clod,

    Thanks for that information, can you let us know what version of Enfold you are currently using?
    The latest version of Enfold is 4.6.3.1, if you are using Enfold less than 4.5.7 then it would not be possible to update it via Theme Options since envato/themeforest has already disallowed use of API keys into tokens.
    Please do the following steps:

    • Backup the site, install and activate a maintenance plugin and put your site under maintenance mode.
    • Switch to default WordPress theme (like Twenty Twenty) and delete Enfold theme.
    • Login to ThemeForest and download the latest version of Enfold (use the account you used to purchase Enfold).
    • Unzip the file downloaded from Enfold which should generate a folder, find the file called enfold.zip.
    • In your WordPress Dashboard, upload enfold.zip in the Themes (install and activate), if you’re using a child theme, activate the child theme instead.
    • Check for any errors in your site, if none is found, remove the maintenance mode.

    Or update via FTP manually: https://kriesi.at/documentation/enfold/theme-update/#update-via-ftp

    Best regards,
    Nikko

    #1234204

    hi Nikko,
    Thanks for the information, I’ve installed version 3.8.
    I’ll follow your lead.
    I hope it works out. Thank you.
    Claudia

    #1234319

    Hi Claudia,

    You’re welcome :)
    We’ll wait for your feedback.

    Best regards,
    Nikko

    #1234494

    Hi Nikko!
    Ho fatto tutto è sembra che adesso il problema è stato risolto :)
    vorrei sapere allora come funziona l’aggiornamento del tema, se non funziona più l’API KEY che procedura devo fare per l’aggiornamento automatico?

    Ho un altro sito con Enfold e ha anche questo qualche problema con il editor delle pagine, ma in questo vedo che wordpress mi da un avviso di aggiornamento di PHP… non sono molto esperta in questo e vorrei sapere se questo aggiornamenti posso farlo io o devo chiederlo al servizio di hosting?

    Grazie :)
    Clod

    #1234495

    Sorry… I didn’t translate ;)

    I did everything and it seems that now the problem has been solved :)
    I would like to know then how the theme update works, if the KEY API doesn’t work anymore what procedure should I do for the automatic update?

    I have another site with Enfold and it also has some problems with the page editor, but in this one I see that wordpress gives me a notice of PHP update… I’m not very expert in this and I would like to know if this update can be done by me or should I ask the hosting service?

    Thanks :)
    Clod

    Translated with http://www.DeepL.com/Translator (free version)

    #1234810

    Hi,

    You will need to update manually if you are running 4.5.7 or below like Nikko mentioned, after you have updated then please follow this: https://kriesi.at/documentation/enfold/theme-registration/. Once you have that in place the automatic update should work normally.

    Best regards,
    Rikard

    #1235546

    Hi Rikard,
    I’ve already done the whole procedure, but when I put the token in the Theme I get this message:

    Last time we checked the token we were not able to connected to Envato:
    Purchases could not be accessed
    Your username: clodgc
    Your E-Mail: (Email address hidden if logged out)
    Following errors occurred:
    Purchases: Errorcode 403 returned by Envato: Forbidden:
    – response_code: 403
    – reason: scope-missing
    Purchases: A problem occurred accessing your purchases. Unable to check for updates.

    I don’t really understand what’s going on, can you explain if I have anything? Thank you.

    #1235565

    Hi clodgc,

    You’ll need to set your token permission with the following:

    • View and search Envato sites (checked by default)
    • View your Envato account username
    • View your email address
    • View your account profile details
    • Download your purchased items
    • Verify purchases of your item
    • List purchases you’ve made

    For further information on these topic, please check our documentation: https://kriesi.at/documentation/enfold/theme-registration/

    Best regards,
    Nikko

Viewing 11 posts - 1 through 11 (of 11 total)

You must be logged in to reply to this topic.